> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Avatar by ID

> Mixin to provide a reusable `list` method for filtering and paginating queryset results.



## OpenAPI

````yaml get /api/personas/{id}/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/personas/{id}/:
    get:
      tags:
        - personas
      description: >-
        Mixin to provide a reusable `list` method for filtering and paginating
        queryset results.
      operationId: personas_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: 'A UUID string identifying this Digital Human: Creator.'
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Persona'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    Persona:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        gender:
          allOf:
            - $ref: '#/components/schemas/Gender7c5Enum'
          description: |-
            gender of the persona

            * `m` - Male
            * `f` - Female
            * `nb` - Non-Binary
        age_range:
          allOf:
            - $ref: '#/components/schemas/AgeRangeEnum'
          description: |-
            age range of the persona

            * `child` - Child
            * `teen` - Teen
            * `adult` - Adult
            * `senior` - Senior
        location:
          allOf:
            - $ref: '#/components/schemas/LocationEnum'
          description: |-
            location of the persona

            * `outdoor` - Outdoor
            * `fantasy` - Fantasy
            * `indoor` - Indoor
            * `other` - Other
        style:
          allOf:
            - $ref: '#/components/schemas/PersonaStyleEnum'
          description: |-
            style of the persona

            * `selfie` - Selfie
            * `presenter` - Presenter
            * `other` - Other
        creator_name:
          type: string
          readOnly: true
        video_scene:
          type: string
          nullable: true
          description: A word to describe the background setting. API user rely on this
          maxLength: 255
        video:
          type: string
          format: uri
          writeOnly: true
        keywords:
          type: string
          nullable: true
          description: keywords (comma separated)
          maxLength: 255
        suitable_industries:
          type: string
          readOnly: true
        preview_image_16_9:
          type: string
          readOnly: true
          nullable: true
        preview_image_1_1:
          type: string
          readOnly: true
          nullable: true
        preview_image_9_16:
          type: string
          readOnly: true
          nullable: true
        preview_video_16_9:
          type: string
          readOnly: true
          nullable: true
        preview_video_1_1:
          type: string
          readOnly: true
          nullable: true
        preview_video_9_16:
          type: string
          readOnly: true
          nullable: true
        landscape_preview_video:
          type: string
          format: uri
          readOnly: true
          nullable: true
          description: Landscape preview video of the persona
        squared_preview_video:
          type: string
          format: uri
          readOnly: true
          nullable: true
          description: Squared preview video of the persona
        portrait_preview_video:
          type: string
          format: uri
          readOnly: true
          nullable: true
          description: Portrait preview video of the persona
        is_active:
          type: boolean
          readOnly: true
          title: Active
          description: Is the creator active to use, if not, it will not be shown in the UI
        process_status:
          type: string
          readOnly: true
        failed_reason:
          type: string
          readOnly: true
        type:
          type: string
          readOnly: true
      required:
        - created_at
        - creator_name
        - failed_reason
        - gender
        - id
        - is_active
        - landscape_preview_video
        - portrait_preview_video
        - preview_image_16_9
        - preview_image_1_1
        - preview_image_9_16
        - preview_video_16_9
        - preview_video_1_1
        - preview_video_9_16
        - process_status
        - squared_preview_video
        - suitable_industries
        - type
        - updated_at
        - video
    Gender7c5Enum:
      enum:
        - m
        - f
        - nb
      type: string
      description: |-
        * `m` - Male
        * `f` - Female
        * `nb` - Non-Binary
    AgeRangeEnum:
      enum:
        - child
        - teen
        - adult
        - senior
      type: string
      description: |-
        * `child` - Child
        * `teen` - Teen
        * `adult` - Adult
        * `senior` - Senior
    LocationEnum:
      enum:
        - outdoor
        - fantasy
        - indoor
        - other
      type: string
      description: |-
        * `outdoor` - Outdoor
        * `fantasy` - Fantasy
        * `indoor` - Indoor
        * `other` - Other
    PersonaStyleEnum:
      enum:
        - selfie
        - presenter
        - other
      type: string
      description: |-
        * `selfie` - Selfie
        * `presenter` - Presenter
        * `other` - Other
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````